Subject: Re: bug#47384: [PATCH 1/2] hostname: fix a memory leak with -Dlint

From: Kamil Dudka <[email-masked]>
Date: Thu, 25 Mar 2021 17:08:50 +0100

On Thursday, March 25, 2021 4:56:15 PM CET Paul Eggert wrote:
> On 3/25/21 3:57 AM, Kamil Dudka wrote:
> > +#ifdef lint
> > +      free(hostname);
> > +#endif
> 
> Let's not do this one. The program is about to exit so there's no need
> to free, and any static-checking tool that complains about a missing
> 'free' here is issuing a false alarm. On this particular issue it's
> better to fix the tools than to clutter upb source code to pacify them.

Wasn't that exactly what -Dlint was for when we discussed it the last time?
I am totally lost in your reasoning again.  But thank you for having a look.

Kamil